% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eccCL.R
\name{eccCLclassify}
\alias{eccCLclassify}
\title{Classifies some data using a given classifer.}
\usage{
eccCLclassify(ecc, values, labels, numInstances, threshold = 0.5,
  instPerRun = numInstances)
}
\arguments{
\item{ecc}{The classifier to use.}

\item{values}{A data.frame containing the data to classify.}

\item{labels}{A data.frame containing the labels for the data to classify.}

\item{numInstances}{The number of instances to classify as integer.}

\item{threshold}{(Optional) The threshold as double to determine, when a specific result is considered positive or negative.}

\item{instPerRun}{(Optional) Number of instances to classify in one run.
Maybe useful if the total amount of instances is too much for the GPU to handle in one run.}
}
\value{
A Java-object containing the results.
}
\description{
Classifies some data using a given classifer.
}
\examples{
results <- eccCLclassify(ecc, values, labels, numInstances)
}
