% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eccCL.R
\name{eccCLclassifyObject}
\alias{eccCLclassifyObject}
\title{Classifies some data from a wekafile using a given classifer.}
\usage{
eccCLclassifyObject(ecc, weka, threshold = 0.5, instPerRun = -1)
}
\arguments{
\item{ecc}{The classifier to use.}

\item{weka}{The wekafile containing the data to classify, e.g. loaded with \code{\link{eccCLloadWekaFile}}.}

\item{threshold}{(Optional) The threshold as double to determine, when a specific result is considered positive or negative.}

\item{instPerRun}{(Optional) Number of instances to classify in one run.
Maybe useful if the total amount of instances is too much for the GPU to handle in one run.}
}
\value{
A Java-object containing the results.
}
\description{
Classifies some data using a given classifer.
}
\examples{
results <- eccCLclassify(ecc, weka)
}
